Package ch.qos.logback.classic.util

## Class JNDIUtil

- java.lang.Object
- - ch.qos.logback.classic.util.JNDIUtil

    public class JNDIUtil
    extends java.lang.Object

A simple utility class to create and use a JNDI Context.

Author:
  Ceki Gülcü, Sébastien Pennec

### Constructor Summary

Constructors
`JNDIUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static javax.naming.Context` `getInitialContext()`
`static java.lang.String` `lookup​(javax.naming.Context ctx, java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JNDIUtil

    public JNDIUtil()

### Method Detail

#### getInitialContext

    public static javax.naming.Context getInitialContext()
                                                  throws javax.naming.NamingException

Throws:
  `javax.naming.NamingException`

#### lookup

    public static java.lang.String lookup​(javax.naming.Context ctx,
                                          java.lang.String name)